ColumnFamilySplit (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.hadoop
Class ColumnFamilySplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit
          org.apache.cassandra.hadoop.ColumnFamilySplit

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, org.apache.hadoop.mapred.InputSplit

    public class ColumnFamilySplit

extends org.apache.hadoop.mapreduce.InputSplit
implements org.apache.hadoop.io.Writable, org.apache.hadoop.mapred.InputSplit

Constructor Summary
`protected` | `ColumnFamilySplit()`
`` | `ColumnFamilySplit(java.lang.String startToken, java.lang.String endToken, java.lang.String[] dataNodes)`

Method Summary
`java.lang.String` | `getEndToken()`
`long` | `getLength()`
`java.lang.String[]` | `getLocations()`
`java.lang.String` | `getStartToken()`
`static ColumnFamilySplit` | `read(java.io.DataInput in)`
`void` | `readFields(java.io.DataInput in)`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnFamilySplit

    public ColumnFamilySplit(java.lang.String startToken,
                             java.lang.String endToken,
                             java.lang.String[] dataNodes)

### ColumnFamilySplit

    protected ColumnFamilySplit()

Method Detail

### getStartToken

    public java.lang.String getStartToken()

### getEndToken

    public java.lang.String getEndToken()

### getLength

    public long getLength()

  Specified by:
    `getLength` in interface `org.apache.hadoop.mapred.InputSplit`
  Specified by:
    `getLength` in class `org.apache.hadoop.mapreduce.InputSplit`

### getLocations

    public java.lang.String[] getLocations()

  Specified by:
    `getLocations` in interface `org.apache.hadoop.mapred.InputSplit`
  Specified by:
    `getLocations` in class `org.apache.hadoop.mapreduce.InputSplit`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### read

    public static ColumnFamilySplit read(java.io.DataInput in)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation